﻿hr {
    margin-top: 10px;
    margin-bottom: 10px;
}

.page-header {
    margin-top: 20px;
}

.required-control-label:after {
  content:" *";
  color:#737373;
}

.form-group .error {
    border-color: #a94442;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
}

.navbar-brand {
    padding: 10px 15px;
    float: right;
}

.navbar-brand img {
    width: 180px;
}

.navbar-toggle {
    float: left;
    margin-left: 10px;
}

body, .navbar-default {
    background-image: url("Images/gray_jean.png");
    background-repeat: repeat;
}

.unauthorized-body {
    background: #fff url("/content/images/Food-background.jpg") repeat scroll 0 0;
}

.public-page-content-wrapper {
    padding: 0 10px;
}

@media(min-width:768px) {
    .public-page-content-wrapper {
        padding: 0 30px;
    }
}

.text-large {
    font-size: 20px;
}

.sidebar-restaurant-name {
    text-align: center;
    padding: 10px 0;
    font-variant: small-caps;
}

.no-anchor-decoration a, .no-anchor-decoration a:hover, .no-anchor-decoration a:active {
    text-decoration: none;
}

.pointer-cursor {
    cursor: pointer;
}

.loading-bar {
    display: none; 
    text-align: center; 
    font-weight: bolder; 
    margin-top: 20px;
}

.picture-loading-bar {
    display: none; 
    text-align: center; 
    font-weight: bolder; 
    margin-top: 20px;
}

.whole-loading-bar
{
    position:fixed;
    padding:0;
    margin:0;

    top:0;
    left:0;
    right: 0;
    bottom: 0;

    text-align: center;
    overflow: hidden !important;

    width: 100%;
    height: 100%;

    z-index: 99999;
    background-image: url("Images/gray_jean.png");
    background-repeat: repeat;
}

.whole-loader-container{
    position: absolute;
    top: 20%;
    left: 40%;
    margin: -20px 0 0 -80px;
}

    .whole-loader-container .loading-logo {
        width: 100%;
        max-width: 300px;
        height: 40px;
    }

.search-container {
    display: inline-block;
}

.search-container input.search-input {
    width: auto;
}

.search-container .input-group-addon {
    display: inline-block; 
    width: 39px; 
    height: 34px;
}

/* DateTime picker - START */

.datetime-picker {
    display: inline-block;
}

.datetime-picker .datepicker-input {
    width: 100px;
}

.datetime-picker .timepicker-input {
    width: 70px;
}

.datetime-picker .input-group-addon {
    display: inline-block; 
    width: 39px; 
    height: 34px;
}

/* DateTime picker - END */

.margin-left-10 {
    margin-left: 10px;
}

.margin-left-20 {
    margin-left: 20px;
}

.margin-top-10 {
    margin-top: 10px;
}

.margin-top-20 {
    margin-top: 20px;
}

.margin-bottom-10 {
    margin-bottom: 10px;
}

.margin-bottom-20 {
    margin-bottom: 20px;
}

.inline-block {
    display: inline-block;
}

@media (min-width: 768px) {
    .sidebar-toggle-block {
        display: block;
    }

    .navbar-header {
        float: right;
    }

    #page-wrapper.sidebar-toggled {
        margin-left: 0;
    }

    .hide-sidebar {
        width: 0;
        display: none;
    }
}

@media (max-width: 767px) {
    .sidebar {
        display: inherit !important;
    }

    .sidebar-toggle-block {
        display: none;
    }
}

.restaurantObjectBackgroundSample {
    width: 30px; 
    height: 20px; 
    border: 1px solid black; 
    display: inline-block;
}

.panel-heading-anchor {
    color: inherit;
}

/* Send feedback START */

#sendFeedbackModal .modal-dialog {
    width: 80%;
}

#sendFeedbackModalScreenshot {
    border: 1px solid #000000;
    min-height: 250px;
}

#sendFeedbackModal canvas {
    max-width: 100%;
    max-height: 100%;
}

/* Send feedback END */

/* Help current page START */

.helpcurrentpage-modal-header {
    border: none;
    padding-bottom: 0;
}

#helpCurrentPageModalBody {
    padding-top: 0;
}

.helpCurrentPageModalBody-title {
    margin-top: 0;
}

#helpCurrentPageModal .modal-dialog {
    width: 80%;
}

.bookares-tutorial {
    max-width: 560px;
}

/* Help current page END */

/* Floor setup edit START */

.sidebar-right {
    position: absolute;
    right: 0;
    width: 200px;
    z-index: 10;
    overflow-y: auto;
}

.sidebar-right-fullwidth {
    width: 100%;
    padding: 10px 15px;
}

.sidebar-right-fullwidth .row {
    margin-bottom: 15px;
}

.sidebar-right-hidden {
    display: none;
}

#floorAreaWrapper {
    overflow-x: auto;
}

#floorArea {
    height: 400px;
    background-color: #eee;
    margin-bottom: 20px;
    margin-left: 0;
    padding-left: 0;
    position: relative;
}

.dashed-border {
    border: 1px dashed #000000;
}

.solid-border {
    border: 1px solid #000000;
}

.floor-setup-edit-insert-area {
    margin-right: 200px;
}

.floor-setup-zoom {
    width: 100px;
    display: inline-block;
    margin-left: 10px;
}

.floor-setup-toolbar {
    display: inline-block;
    margin-left: 30px;
}

.restaurantobject-block {
    position: absolute;
    overflow: hidden;

    -webkit-user-select: none; /* Chrome all / Safari all */
    -moz-user-select: none; /* Firefox all */
    -ms-user-select: none; /* IE 10+ */
    user-select: none; /* Likely future */
}

.floor-setup-restaurant-object-name {
    position: absolute;
    top: 20%;
    left: 20%;
}

.rotate-button {
    position:absolute;
    height:20px;
    width:20px;
    background:url(/Content/Images/rotate.png) no-repeat top center transparent;
	background-size:100%;
    cursor:pointer; 
    z-index:1; 
    top:0; 
    right:0;
}

/* Floor setup edit END */

.floor-reservation-area .restaurantobject-block {
    cursor: pointer;
}

/* Calendar toolbar border */
.picker-switch.accordion-toggle {
    border-top: 1px solid #ccc;
}

.sidebar-toolbar-button {
    margin-left: 10px;
    margin-bottom: 10px;
}

/* Orders */
.orders-list-group .list-menugroup-item {
    min-height: 54px;
    display: inline-block;
    width: 100%;
}

.order-title-row {
    background-color: #d5d5d5;
    font-weight: bold;
}

.order-menu-item-row {
    border-top: 1px solid #ddd;
    padding: 8px;
    vertical-align: middle;
}

.order-menu-item-row:first-of-type {
    border-top: inherit;
    padding-top: inherit;
}

.order-menu-item-row:last-of-type {
    padding-bottom: inherit;
}

@media (max-width: 767px) {
    .order-menu-item-row > span {
        margin-top: 6px;
    }

        .order-menu-item-row > span:first-of-type {
            margin-top: inherit;
        }

        .order-menu-item-row > span:last-of-type {
            margin-bottom: inherit;
        }
}

.order-collapsible, .order-collapsible:hover, .order-collapsible:focus, .order-collapsible:active {
    display: inline-block;
    width: 90%;
    text-decoration: none;
    color: inherit;

    -webkit-user-select: none; /* Chrome all / Safari all */
    -moz-user-select: none; /* Firefox all */
    -ms-user-select: none; /* IE 10+ */
    user-select: none; /* Likely future */
}

.order-panel-heading {
    padding: 6px 4px;
}

.order-panel {
    margin-bottom: 10px;
}

.btn.addedmenuitem-amount {
    opacity: inherit;
    font-weight: bolder;
}

.order-cart-fixed {
    background: #fff url("/content/images/Food-background.jpg") repeat scroll 0 0;
    position: fixed;
    top: 0;
    /*width: 100%;*/
    z-index: 6;
}

@media (max-width: 767px) {
    .createNewOrderToolbar button {
        margin-top: 12px;
    }
}

/* Dashboard */
.dashboard-collapsible, .dashboard-collapsible:hover, .dashboard-collapsible, .dashboard-collapsible:active {
    display: inline-block;
    width: 85%;
    text-decoration: none;

    -webkit-user-select: none; /* Chrome all / Safari all */
    -moz-user-select: none; /* Firefox all */
    -ms-user-select: none; /* IE 10+ */
    user-select: none; /* Likely future */
}

.panel-body-dashboard .panel-group {
    margin-bottom: 5px;
}

.dashboard-table {
    margin-bottom: 0;
}

/* Supply templates */
.supplygroup-collapsible, .supplygroup-collapsible:hover, .supplygroup-collapsible, .supplygroup-collapsible:active {
    display: inline-block;
    width: 100%;
}

.supply-template-body {
    padding: 0 5px;
}

/* MenuItem templates */
.menuItemgroup-collapsible, .menuItemgroup-collapsible:hover, .menuItemgroup-collapsible, .menuItemgroup-collapsible:active {
    display: inline-block;
    width: 100%;
}

.menuItem-template-body {
    padding: 0 5px;
}

/* Public layout */
.navbar-restaurant-view .active {
    background-color: #EAEAEA;
}